> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/overblik-over-geopard-api-anmodninger/59.-foresporgsel-hent-asapplieddatasets.md).

# 59. Forespørgsel: Hent "AsAppliedDatasets"

Hent som sået- eller som udført-datasæt

Hent alle "AsAppliedDatasets" for den valgte "Field". Datasæt kan hentes ved hjælp af generiske GraphQL-forespørgsler som `getFarms` og `getFields` fra det tilknyttede "Field".&#x20;

{% hint style="warning" %}
Et "AsAppliedDataset" skal være uploadet på forhånd.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    navn
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        navn
        number #samlet antal geofunktioner 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #komplette detaljer pr. attribut
          name #link til statistik >> attribut
          transliteratedName
          fullName #korrekt menneskeligt læsbart navn
          unit#måleenheder
        }

        usedMachines { #brugte maskiner
          id
          serial
          operatorId
        } 

        createdDate #enhed oprettet dato og tid i GeoPard
        updatedDate #sidste opdateringsdato og -tid
        operationId
        operationType
        operationFileDate #filens oprettelsesdato og -tid kommer fra metainformationen 
        operationStartDate #operationens starttidspunkt kommer fra metainformationen
        
        statistics { #statistikfordeling for hver attribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          kortNavn
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        navn
        number #samlet antal geofunktioner 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #komplette detaljer pr. attribut
          name #link til statistik >> attribut
          transliteratedName
          fullName #korrekt menneskeligt læsbart navn
          unit#måleenheder
        }

        usedMachines { #brugte maskiner
          id
          serial
          operatorId
        } 

        createdDate #enhed oprettet dato og tid i GeoPard
        updatedDate #sidste opdateringsdato og -tid
        operationId
        operationType
        operationFileDate #filens oprettelsesdato og -tid kommer fra metainformationen 
        operationStartDate #operationens starttidspunkt kommer fra metainformationen
        
        statistics { #statistikfordeling for hver attribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          kortNavn
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/overblik-over-geopard-api-anmodninger/59.-foresporgsel-hent-asapplieddatasets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
